Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class MDConstraints

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.MDConstraints

    public class MDConstraints

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}useLimitation"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected UseLimitation` | `useLimitation`

Constructor Summary
`MDConstraints()`

Method Summary
`UseLimitation` | `getUseLimitation()` Gets the value of the useLimitation property.
`void` | `setUseLimitation(UseLimitation value)` Sets the value of the useLimitation property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useLimitation

    protected UseLimitation useLimitation

Constructor Detail

### MDConstraints

    public MDConstraints()

Method Detail

### getUseLimitation

    public UseLimitation getUseLimitation()

  Gets the value of the useLimitation property.

  Returns:
    possible object is `UseLimitation`

### setUseLimitation

    public void setUseLimitation(UseLimitation value)

  Sets the value of the useLimitation property.

  Parameters:
    `value` - allowed object is `UseLimitation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org